      SUBROUTINE PXZ42F
C     FORMATTER/OUTPUT ROUTINE FOR PC'S
C
$INCLUDE:'pxz99.cmn'
C
      DIMENSION JYORIG(13)
      DATA JYORIG/0,0,0,0,0,0,0,400,200,350,480,200,600/
C
      IYORIG=JYORIG(IPLTR)
      ICOLOR=JCOL
      IF(IPENC(1).EQ.0) THEN
      CALL RASTER(IXSRAS,IYORIG-IYSRAS,
     1 IXRAS(1),IYORIG-IYRAS(1),ICOLOR)
c      print *,' return from raster_1'
      ENDIF
      DO 10 I=1,NXYRS-1
      IF(IPENC(I+1).EQ.1) GO TO 10
      CALL RASTER(IXRAS(I),IYORIG-IYRAS(I),
     1 IXRAS(I+1),IYORIG-IYRAS(I+1),ICOLOR)
c      print *,' return from raster_2'
   10 CONTINUE
      IXSRAS=IXRAS(NXYRS)
      IYSRAS=IYRAS(NXYRS)
      RETURN
      END


